Defines a condition that will result in a WebElement.

### Hierarchy

- Condition<WebElement>
  - WebElementCondition

## Index

### Constructors

- constructor

### Methods

- description
- fn

## Constructors

### constructor

- new WebElementCondition(message: string, fn: ConditionFn<WebElement>): WebElementCondition

- Inherited from Condition.constructor

  #### Parameters

  - ##### message: string

    A descriptive error message. Should complete the sentence 'Waiting [...]'

  - ##### fn: ConditionFn<WebElement>

    The condition function to evaluate on each iteration of the wait loop.

  #### Returns WebElementCondition

## Methods

### description

- description(): string

- Inherited from Condition.description

  #### Returns string

  A description of this condition.

### fn

- fn(webdriver: WebDriver): ConditionFn<WebElement>

- Inherited from Condition.fn

  #### Parameters

  - ##### webdriver: WebDriver

  #### Returns ConditionFn<WebElement>

Generated using TypeDoc